# SoVRMLIndexedLine Class Reference
[VRML97 classes]

`#include <Inventor/VRMLnodes/SoVRMLIndexedLine.h>`

Inheritance diagram for SoVRMLIndexedLine:

List of all members.

## Detailed Description

The SoVRMLIndexedLine class is an abstract superclass for lines specified with indices.

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFInt32 | coordIndex
SoMFInt32 | colorIndex

## Protected Member Functions

virtual void | computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)
int | getNumVerts (int startCoord)
void | setupIndices (int numFaces)
const int32_t * | getColorIndices (void)
virtual void | notify (SoNotList *list)

## Member Function Documentation

void SoVRMLIndexedLine::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLVertexLine. Reimplemented in SoVRMLIndexedLineSet.

void SoVRMLIndexedLine::computeBBox | ( | SoAction * | action,
|  | SbBox3f & | box,
|  | SbVec3f & | center
| ) | `[protected, virtual]`

Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box.

The bounding box and center point should be calculated and returned in the local coordinate system.

The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().)

The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry.

Implements SoShape.

void SoVRMLIndexedLine::notify | ( | SoNotList * | list | ) | `[protected, virtual]`

| Notifies all auditors for this instance when changes are made. Reimplemented from SoVRMLVertexLine.

The documentation for this class was generated from the following files:

- SoVRMLIndexedLine.h
- IndexedLine.cpp